/*
 * Copyright (C) 2011 JFrog Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jfrog.build.util;

import org.apache.tools.ant.Project;
import org.jfrog.build.api.util.Log;

/**
 * @author Noam Y. Tenne
 */
public class IvyBuildInfoLog implements Log {
    private Project project;

    public IvyBuildInfoLog(Project project) {
        this.project = project;
    }

    public Project getProject() {
        return project;
    }

    public void setProject(Project project) {
        this.project = project;
    }

    public void debug(String message) {
        project.log(message, Project.MSG_DEBUG);
    }

    public void info(String message) {
        project.log(message, Project.MSG_INFO);
    }

    public void warn(String message) {
        project.log(message, Project.MSG_WARN);
    }

    public void error(String message) {
        project.log(message, Project.MSG_ERR);
    }

    public void error(String message, Throwable e) {
        project.log(message, e, Project.MSG_ERR);
    }
}
